org.apache.ignite.internal.processors.datastructures

## Interface GridCacheAtomicSequenceEx

All Superinterfaces:
  AutoCloseable, Closeable, GridCacheRemovable, IgniteAtomicSequence

All Known Implementing Classes:
  GridCacheAtomicSequenceImpl

    public interface GridCacheAtomicSequenceEx
    extends GridCacheRemovable, IgniteAtomicSequence

Sequence managed by cache (`'Ex'` stands for external.

### Method Summary

Methods
`GridCacheInternalKey` `key()` Get current sequence key.

### Methods inherited from interface org.apache.ignite.internal.processors.datastructures.GridCacheRemovable

`needCheckNotRemoved, onRemoved`

### Methods inherited from interface org.apache.ignite.IgniteAtomicSequence

`addAndGet, batchSize, batchSize, close, get, getAndAdd, getAndIncrement, incrementAndGet, name, removed`

### Method Detail

#### key

    GridCacheInternalKey key()

Get current sequence key.

Returns:
  Sequence key.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015